Subject: RE: [dix] RE: attribute assertions

From: "Hallam-Baker, Phillip" <[email-masked]>
Date: Mon, 16 Jan 2006 10:50:54 -0800

> -----Original Message-----
> From: Phil Hunt [mailto:[email-masked]] 
> Sent: Monday, January 16, 2006 12:39 PM
> To: Hallam-Baker, Phillip
> Cc: Dick Hardt; [email-masked]; John Merrells
> Subject: Re: [dix] RE: attribute assertions
> 
> I would tend to argue that whilst authentication is simply 
> another assertion, authentication of the asserting party is 
> actually the important part.  SAML is basically saying, if 
> you trust me, then trust that this is Joe.  I agree with 
> Dick, not all scenarios require SAML or a certificate, but I 
> think the catch is that there must be  
> some form of "authentication" or "validation" in the communication.   
> E.g. When I look at a state driver's license, I judge whether 
> or not it is real.  This in itself is a form of 
> authentication.  Once I "trust" the driver's license, then I 
> might trust the name asserted on the face of the card.
> 
> Phil Hunt
> Oracle USA

The origin of the SAML assertion structure is XTASS where I was trying
to separate out the question of the assertion context from the semantics
of the assertion statement(s).

At the tim I found the traditional semantic web approach unconvincing,
it was assumed that the biggest problem was deciding how to interpret
information that was assumed trustworthy. I think this problem is
actually solved through discourse, people attempt to express ideas in
terms that lead to common intersubjective interpretation. The probvlem
is really working out whether a datum is to be trusted.

In conventional rhetoric propositions are argued axiomatically. In the
real world the bulk of our reasoning is ad-hominem. 

If we think about blogs, the biggest problem is not in interpreting the
statement "Alice has a reputation score of five stars", its working out
how to evaluate the party making the statement.

The statement made by spamsalot.com has little weight...

SAML allows but does not require consideration of this aspect of the
problem

_______________________________________________
dix mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dix